Built for Business - Learn more about BlackBerry KEY2
09-11-19 06:16 PM
65 123
tools
  1. BBlegacy's Avatar
    Hello everyone,

    I recently picked up a Blackberry Passport At&t edition. I put getting "started" in quotation marks because I'm referring to all the things I need to do as a "power user", of course I'm able to get the phone booted and working out of the box, but I'd like to use it as it was meant to be. I'm kind of new to Blackberry OS, and I've spent a few hours digging and delving into these forums to get a better idea of what I need to do, but I'd love to hear from the community. So with that said I had some questions in need of clarification on certain topics of getting this going.

    #1 upgrading the OS
    First off, my At&t unit came with: Blackberry OS 10.3.2.556 with no available updates.

    My question: on the Blackberry Passport At&t edition, is there a preferable version of Blackberry OS 10 that I should upgrade to? From my understanding apparently you can't downgrade once you've upgraded.

    I spent some time in the Live leaks section:

    https://forums.crackberry.com/bb10-l...aders-1021752/

    ....

    Cheers and thanks!
    08-27-19 04:26 PM
  2. conite's Avatar
    Hello everyone,

    I recently picked up a Blackberry Passport At&t edition. I put getting "started" in quotation marks because I'm referring to all the things I need to do as a "power user", of course I'm able to get the phone booted and working out of the box, but I'd like to use it as it was meant to be. I'm kind of new to Blackberry OS, and I've spent a few hours digging and delving into these forums to get a better idea of what I need to do, but I'd love to hear from the community. So with that said I had some questions in need of clarification on certain topics of getting this going.

    #1 upgrading the OS
    First off, my At&t unit came with: Blackberry OS 10.3.2.556 with no available updates.

    My question: on the Blackberry Passport At&t edition, is there a preferable version of Blackberry OS 10 that I should upgrade to? From my understanding apparently you can't downgrade once you've upgraded.

    I spent some time in the Live leaks section:

    https://forums.crackberry.com/bb10-l...aders-1021752/

    ....

    Cheers and thanks!
    Here is the latest autoloader (OS 10.3.3.3216):

    https://mega.nz/#!1NZ1SQBB!yL_ZV5UFz...1-Opwv7f6JCxhM

    Download to PC, unzip, plug in phone, run autoloader. Your device will be wiped in the process.

    You may then wish to install Yalp (Google Play Store client):

    https://www.dropbox.com/s/3kmdftic23...egacy.apk?dl=0

    I would advise that you first download an updated, secure browser. Kiwi is a good one - you'll get it via Yalp.
    BBlegacy likes this.
    08-27-19 08:25 PM
  3. Chuck Finley69's Avatar
    Here is the latest autoloader (OS 10.3.3.3216):

    https://mega.nz/#!1NZ1SQBB!yL_ZV5UFz...1-Opwv7f6JCxhM

    Download to PC, unzip, plug in phone, run autoloader. Your device will be wiped in the process.

    You may then wish to install Yalp (Google Play Store client):

    https://www.dropbox.com/s/3kmdftic23...egacy.apk?dl=0

    I would advise that you first download an updated, secure browser. Kiwi is a good one - you'll get it via Yalp.
    If looking at fitted cases, remember that you need one for the AT&T Passport since it's corners are rounded. The OG and SE are different.
    08-27-19 08:52 PM
  4. joeldf's Avatar
    Also, you say it's an AT&T Passport. Do you plan to use it on AT&T?

    AT&T does have almost the latest OS. It's the second to last release available - one before the one Conite provided above. If used on AT&T, it would eventually update to their latest. It's still 10.3.3, and still pretty decent itself.

    But, if you autoload it to the very latest, you'll be fine.
    08-27-19 09:28 PM
  5. conite's Avatar
    Also, you say it's an AT&T Passport. Do you plan to use it on AT&T?

    AT&T does have almost the latest OS. It's the second to last release available - one before the one Conite provided above. If used on AT&T, it would eventually update to their latest. It's still 10.3.3, and still pretty decent itself.

    But, if you autoload it to the very latest, you'll be fine.
    Only 10.3.3.3216 has the Broadcom and Spectre patches.
    08-27-19 09:50 PM
  6. joeldf's Avatar
    Only 10.3.3.3216 has the Broadcom and Spectre patches.
    Oh yeah. Forgot about that. That was why I went ahead and bumped the OS on my Z10 to 3216
    08-27-19 09:59 PM
  7. BBlegacy's Avatar
    Here is the latest autoloader (OS 10.3.3.3216):

    https://mega.nz/#!1NZ1SQBB!yL_ZV5UFz...1-Opwv7f6JCxhM

    Download to PC, unzip, plug in phone, run autoloader. Your device will be wiped in the process.

    You may then wish to install Yalp (Google Play Store client):

    https://www.dropbox.com/s/3kmdftic23...egacy.apk?dl=0

    I would advise that you first download an updated, secure browser. Kiwi is a good one - you'll get it via Yalp.
    I wanted to say thanks, this certainly pointed me in the right direction. My apologies for not posting back earlier, I thought I did but since I'm a new member my posts have to approved first.

    I ran into some issues which I conclude that I will just have to try it on another PC.
    I downloaded the autoloader twice(just incase the first one was corrupted) because the autoloader would immediately close as soon as I would open it. I tried multiple things after searching... from rebooting, disabling anti-viruses, ran in cmd(as administrator), all sorts of things to no avail. So I've concluded that I need to try this on another PC machine, and also I do not have BB link installed(this was something that was mentioned in some threads) in order to get it running.

    Thanks for providing the Yalp file as well.. I've also heard a lot about f-droid for Blackberry, but the concept was a little muddy to me, from what I understand for both fdroid and yalp, I download the file and run it on the Blackberry PP directly and it'll install the store giving the user access to the hopefully "trusted" apps on there, sound about right?

    Super thanks again to you conite(*edited, apologies for misspelling) and to all who posted on here.
    Last edited by BBlegacy; 08-31-19 at 11:36 AM.
    08-30-19 03:58 PM
  8. bb10adopter111's Avatar
    Oh yeah. Forgot about that. That was why I went ahead and bumped the OS on my Z10 to 3216
    That's the "Software Release" number 10.3.3.3216? I get confused between that and build numbers!

    Posted with my trusty Z10
    08-30-19 04:18 PM
  9. joeldf's Avatar
    That's the "Software Release" number 10.3.3.3216? I get confused between that and build numbers!

    Posted with my trusty Z10
    That's the OS version. the SR for that is 2137.

    What I previously had on my Z10 was the current AT&T "official" version of OS 3204, SR 2129. I had actually gone back and forth between those last two releases while trying to pin down why Link wasn't reading my phone. That was when I discovered the SMB v1 thing, which had nothing to do with the OS on the phone. Then I settled on 3204, but at some point, I remembered about the patch for Broadcom and Spectre and ran the 3216 autoloader. That's what is on the Z10 now.
    08-30-19 04:35 PM
  10. bb10adopter111's Avatar
    That's the OS version. the SR for that is 2137.

    What I previously had on my Z10 was the current AT&T "official" version of OS 3204, SR 2129. I had actually gone back and forth between those last two releases while trying to pin down why Link wasn't reading my phone. That was when I discovered the SMB v1 thing, which had nothing to do with the OS on the phone. Then I settled on 3204, but at some point, I remembered about the patch for Broadcom and Spectre and ran the 3216 autoloader. That's what is on the Z10 now.
    Thanks. I don't know why they maintain two numbers that are always so similar! It seems to me that one should be internal only.

    But thanks for the reminder. I will want to load the newest version in early December before the EOL date, just in case!

    Posted with my trusty Z10
    08-30-19 04:41 PM
  11. Crusader03's Avatar
    Running the latest OS on my Passport and it is running smoothly after the initial 24 hour period where it was running hot. I would definitely install Link as that is how you can back it up and many other useful functions. Yalp also works well with a few hiccups from time to time. Tried Cobalt's solution but it is now unsupported. Also, I thought the SE cases fit the AT&T? What would the difference be?

    Posted with my Passport
    08-30-19 04:54 PM
  12. joeldf's Avatar
    Thanks. I don't know why they maintain two numbers that are always so similar! It seems to me that one should be internal only.

    But thanks for the reminder. I will want to load the newest version in early December before the EOL date, just in case!

    Posted with my trusty Z10
    Never understood the dual number thing either. No other mobile OS does that.

    However, the BBOS days had 3 numbers to contend with. OS version, Platform, and Bundle number. Carriers went by the Bundle number, while on the forums, we referred to the OS version.
    08-30-19 04:59 PM
  13. BBlegacy's Avatar
    Running the latest OS on my Passport and it is running smoothly after the initial 24 hour period where it was running hot. I would definitely install Link as that is how you can back it up and many other useful functions. Yalp also works well with a few hiccups from time to time. Tried Cobalt's solution but it is now unsupported. Also, I thought the SE cases fit the AT&T? What would the difference be?

    Posted with my Passport
    There are minor physical differences that prohibit the use of same cases. From the size of the chin, to the sides of chassis and the ear piece. Search up some pictures and you'll see, I tried to find a video that I watched a while back describing the physical differences which called for different accessories, but wasn't able to find it. Someone could probably make a one case fits all versions, but I do know of the compatibility of accessories due to minor physical alterations despite being generally the same dimensions.
    08-30-19 07:54 PM
  14. m3ach's Avatar
    Super thanks again to you contrite and to all who posted on here.
    That's the first time I've seen conite called that, it did make me chuckle.

    Posted via CB10 using my Classic running 10.3.3.3216
    08-31-19 07:37 AM
  15. BBlegacy's Avatar
    That's the first time I've seen conite called that, it did make me chuckle.

    Posted via CB10 using my Classic running 10.3.3.3216
    LOL, yeah, my bad, typo*, thanks for pointing it out, haha... I went back and fixed/edited it.
    08-31-19 11:37 AM
  16. Chuck Finley69's Avatar
    LOL, yeah, my bad, typo*, thanks for pointing it out, haha... I went back and fixed/edited it.
    That’s okay. Some forum member keeps calling me Shack or Shake Funley or something like that...

    Just post early and post often as we like to say here on CB each day.

    Actually I hijacked the saying from an old Chicago precinct voting slogan that my Dad and sister would say regarding political corruption. “Vote early and vote often.” He’d say followed by profanity and “That’s how come we chose to move to Florida son.” -

    Told you Dad that I was paying attention.
    Mecca EL likes this.
    08-31-19 06:01 PM
  17. BBlegacy's Avatar
    That’s okay. Some forum member keeps calling me Shack or Shake Funley or something like that...

    Just post early and post often as we like to say here on CB each day.

    Actually I hijacked the saying from an old Chicago precinct voting slogan that my Dad and sister would say regarding political corruption. “Vote early and vote often.” He’d say followed by profanity and “That’s how come we chose to move to Florida son.” -

    Told you Dad that I was paying attention.
    Hilarious. This forum board is a special place. By the way, I'd remember to spell "Finley" correctly(haha, I'd hope at least). I've met quite a few people with that surname in the real world, especially hailing from Wisconsin, always figured some with that surname settled out there generations ago and started a colony out there.
    08-31-19 06:47 PM
  18. Chuck Finley69's Avatar
    Hilarious. This forum board is a special place. By the way, I'd remember to spell "Finley" correctly(haha, I'd hope at least). I've met quite a few people with that surname in the real world, especially hailing from Wisconsin, always figured some with that surname settled out there generations ago and started a colony out there.

    According to @danfrancisco my username is that of a baseball player with a cool mullet haircut. I actually borrowed the name from Burn Notice, a TV show few years back, where a character uses the name as cover story for a fake character within the multiple plot lines....
    08-31-19 07:43 PM
  19. saint300's Avatar
    There are minor physical differences that prohibit the use of same cases. From the size of the chin, to the sides of chassis and the ear piece. Search up some pictures and you'll see, I tried to find a video that I watched a while back describing the physical differences which called for different accessories, but wasn't able to find it. Someone could probably make a one case fits all versions, but I do know of the compatibility of accessories due to minor physical alterations despite being generally the same dimensions.
    So, does that mean that while the AT & T Passport has the same rounded corners with the SE, it is even bigger than the SE?
    09-01-19 10:50 AM
  20. BBlegacy's Avatar
    So, does that mean that while the AT & T Passport has the same rounded corners with the SE, it is even bigger than the SE?
    Found the video comparing the two:



    An expert can probably chime in and elaborate, I only know what I know from doing my research on the models, but long story short, the small physical shifts in placement of things make tightly fitted accessories a problem when it comes to direct fits, as I explained in the first response. Watch the video through and you'll know as much as you need to know about the slight differences on the chassis that prohibit the compatibility of custom tailored cases for each version.

    So in my case, I have an At&t version, I'm going to have to get a case that is properly fitted for the At&t version... I probably could get an SE case, but it probably won't fit right or tight due to the minor differences.. even the placement of the front facing camera looks slightly different, the camera and the flash placement is slightly different too which would affect a custom cases fitment. The SE looks a lot more robust and nicer too.. if I was able to get a new one at a good price I would've much preferred to get that version, but I couldn't find one.
    09-01-19 10:37 PM
  21. jamescarruthers's Avatar
    Regarding the autoloader not working for you. You need the Blackberry drivers on your PC to go forwards.

    To get this you'll need to download Blackberry Link from Blackberry's website. This will give you the choice to install one, two or three bits of software: Driver's, Link and Blend.

    You must install the driver's so that your BB can use the autoloader and so it appears as a drive when plugged in to the computer. The other two are your choice.

    Link is the backup program (and other stuff like sync). If you do install it it is pretty likely not to work. One thing you must do to have it work is to temporarily re-enable SMB 1.0 on your Windows OS. I say temporarily because apparently it is insecure to leave it on these days. Press Start, type "features", select "Turn Windows Features on or off". I've done battle many times with Link and failed. I can't make it work past connecting, syncing and giving a bar chart of data types. Good luck!

    Questions on getting "started" with an At&t Blackberry Passport-img_20190902_093713_hdr.jpg

    Blend is brilliant and still works but is no longer supported. It brings lots of your phone to your desktop.

    Posted via CB10
    BBlegacy likes this.
    09-02-19 01:36 AM
  22. bb10adopter111's Avatar
    Regarding the autoloader not working for you. You need the Blackberry drivers on your PC to go forwards.

    To get this you'll need to download Blackberry Link from Blackberry's website. This will give you the choice to install one, two or three bits of software: Driver's, Link and Blend.

    You must install the driver's so that your BB can use the autoloader and so it appears as a drive when plugged in to the computer. The other two are your choice.

    Link is the backup program (and other stuff like sync). If you do install it it is pretty likely not to work. One thing you must do to have it work is to temporarily re-enable SMB 1.0 on your Windows OS. I say temporarily because apparently it is insecure to leave it on these days. Press Start, type "features", select "Turn Windows Features on or off". I've done battle many times with Link and failed. I can't make it work past connecting, syncing and giving a bar chart of data types. Good luck!

    Click image for larger version. 

Name:	IMG_20190902_093713_hdr.jpg 
Views:	18 
Size:	130.6 KB 
ID:	446049

    Blend is brilliant and still works but is no longer supported. It brings lots of your phone to your desktop.

    Posted via CB10
    I have had more success than not with Link, but I have found I have to run as Adminstrator for it to actually backup, and to be honest, I have never verified it with a restore because I would rather perform a fresh install ad re-dd accounts to avoid corruption.

    Posted with my trusty Z10
    09-02-19 08:13 AM
  23. jamescarruthers's Avatar
    I wish I could get it working. It would be great to have a few good apps backed up. Everything else I can work around.

    I set compatibility mode to Windows 8 or 7: that didn't help.

    I ran as an Administrator: it won't even connect when running as an administrator. When running as a standard user I can connect, sync files (actually don't want that but it did it anyway!) and see the colourful bar graph of what the data is made up of.

    Wish I had your luck!


    I might try what someone on here did recently which was running Windows 7 as a Virtual Machine. I've never done this... but how hard can it be?!

    Posted via CB10
    09-02-19 08:17 AM
  24. Ben xfg's Avatar
    I wish I could get it working. It would be great to have a few good apps backed up. Everything else I can work around.

    I set compatibility mode to Windows 8 or 7: that didn't help.

    I ran as an Administrator: it won't even connect when running as an administrator. When running as a standard user I can connect, sync files (actually don't want that but it did it anyway!) and see the colourful bar graph of what the data is made up of.

    Wish I had your luck!


    I might try what someone on here did recently which was running Windows 7 as a Virtual Machine. I've never done this... but how hard can it be?!

    Posted via CB10
    Just use DBBT, works fabulous for me on Windows 10.

    Here is the link to download,
    https://mega.nz/#!RlZXQADZ!DtfI0LT6h...ZIMF7F0hG9Nido

    Posted via CB10
    09-02-19 09:23 AM
  25. jamescarruthers's Avatar
    Just use DBBT, works fabulous for me on Windows 10.

    Here is the link to download,
    https://mega.nz/#!RlZXQADZ!DtfI0LT6h...ZIMF7F0hG9Nido

    Posted via CB10
    Thanks, I'd forgotten about that. Does it back up the apps? That's all I'm really bothered about.

    Posted via CB10
    09-02-19 02:51 PM
65 123

Similar Threads

  1. The Future of Blackberry Phones is without Blackberry. The Horse that sailed
    By mrsimon in forum General BlackBerry Discussion
    Replies: 292
    Last Post: Today, 06:26 AM
  2. OS Problem with Z30
    By CawnporeCNB in forum BlackBerry Z30
    Replies: 9
    Last Post: 09-09-19, 12:46 PM
  3. WTS: WTS: BlackBerry KEYone Official Soft Shell SHB100
    By portplayer in forum The Marketplace - Buy, Sell & Trade
    Replies: 4
    Last Post: 09-04-19, 10:45 AM
  4. Replies: 18
    Last Post: 09-01-19, 05:55 AM
  5. BlackBerry KeyTwo BBF100-6 autoloader
    By zerommx in forum BlackBerry KEY2
    Replies: 4
    Last Post: 08-27-19, 01:32 PM
LINK TO POST COPIED TO CLIPBOARD